Page MenuHomeLubuntu

Must haves for 18.10 release
Closed, ResolvedPublic

Description

I'm setting up a one-stop shopping place for those things we have to fix for 18.10. Even if we're too lazy/busy to file bugs, we can put something here. Feel free to put up whatever, brainstorm style, and we can kill it if we determine it isn't so urgent after all.

0-day SRUs:

Everything else before the release:

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
tsimonq2 updated the task description. (Show Details)Oct 5 2018, 9:56 AM

So the two main things I have to get done before Sunday is the slideshow and Super_L as the default main menu shortcut. I should be able to finish getting screenshots today. The base is done, so that is a couple hour job to wrap up. As for globalkeyshortcuts.conf, I know where that needs to be changed in the list of shortcut keys, and I have rLXQTGLOBALKEYSPACKAGING cloned. I've also spent some time looking over that repo. I have no idea where I am to put that info there, as per @wxl on D24. The globalkeyshortcuts.conf that is being used by the system, is in $HOME/.config/lxqt/globalkeyshortcuts.conf Pastebin

Sounds good, @TheWendyPower! Thank you!

As for what to do with rLXQTGLOBALKEYSPACKAGING lxqt-globalkeys Packaging, the short of it is under the "long story short" heading of the packaging tutorial. I would recommend that you take a look there.

When you get to # this is where you actually make the changes you want in those steps, in place of the quilt edit command, run quilt add xdg/globalkeyshortcuts.conf (so Quilt starts tracking the file) and then just overwrite it with the new config file you have. After that, a quilt refresh will pick up the changes made and ultimately make it representable in the packaging.

This is a bit of "jumping off the deep end" but @wxl has done a darn good job of documenting the process. Please don't hesitate to reach out to either of us if you need help.

I personally think the slideshow should come first, but as long as both are done by Sunday, it's all cool. If you get super busy before that and don't expect to be able to get it done by Sunday, that's no problem, just don't hesitate to reach out and @wxl and I can pick up slack, but this is crunch time! :)

Let's get 'er done, folks! We're almost there!

For what it's worth, I'm referring to E5: Cosmic Final Freeze but they typically freeze much earlier in the week than that.

Even if Adam is going to decide to postpone it by a few days this cycle, Sunday is a really good stopping point so we can get as much testing as humanly possible in before the Big Day, E6: Cosmic Release.

tsimonq2 updated the task description. (Show Details)Oct 5 2018, 11:55 AM
tsimonq2 updated the task description. (Show Details)Oct 5 2018, 12:04 PM
wxl added a comment.Oct 5 2018, 12:08 PM

I'm good to go on all of my items (including D24 if that would help @TheWendyPower) by Sunday except for a couple things:

  • T82 as I haven't even really looked at it yet. It's probably easy but as I discovered with encryption, Calamares is extremely modularized (perhaps more than is ideal when it comes to "just figuring things out") and that can make configuration a little complicated at times.
  • T32 is obviously not going to get what we REALLY want out of it, as it requires a deep dive into Qt and none of us are really that familiar with it. That said, should we maybe offer an option between a minimal install and a full install as a minimum? Or is using the mechanism Ubuntu has (the remove file) sufficient for this? If that's the case, what would we want to do? tl;dr get me some specs.

Don't forget you have stuff to do *AHEM TROJITA* @tsimonq2 😁

wxl updated the task description. (Show Details)Oct 5 2018, 12:12 PM
wxl added a comment.Oct 5 2018, 12:14 PM

I've added names to everything to everything I know about. Please fill in the blanks. I'm particularly unsure about T32 as aforementioned but once I get clearer on it perhaps I can make that mine (or the more appropriate party).

wxl updated the task description. (Show Details)Oct 5 2018, 4:11 PM
wxl updated the task description. (Show Details)Oct 6 2018, 10:39 AM
wxl updated the task description. (Show Details)
wxl updated the task description. (Show Details)Oct 6 2018, 11:12 AM
tsimonq2 updated the task description. (Show Details)Oct 6 2018, 3:54 PM

I just uploaded Trojita to Ubuntu; time for @wxl to go nag Adam or Steve to review it.

wxl updated the task description. (Show Details)Oct 6 2018, 4:53 PM
wxl updated the task description. (Show Details)Oct 6 2018, 5:38 PM
wxl updated the task description. (Show Details)Oct 6 2018, 9:23 PM
wxl updated the task description. (Show Details)Oct 7 2018, 12:09 AM
wxl updated the task description. (Show Details)Oct 7 2018, 1:50 AM
wxl updated the task description. (Show Details)Oct 7 2018, 5:07 PM
tsimonq2 updated the task description. (Show Details)Oct 8 2018, 9:27 AM
tsimonq2 updated the task description. (Show Details)Oct 8 2018, 10:04 AM
wxl updated the task description. (Show Details)Oct 8 2018, 10:33 AM
wxl updated the task description. (Show Details)Oct 8 2018, 10:35 AM
wxl updated the task description. (Show Details)
tsimonq2 updated the task description. (Show Details)Oct 8 2018, 10:40 AM
tsimonq2 updated the task description. (Show Details)
wxl updated the task description. (Show Details)Oct 8 2018, 7:51 PM
wxl updated the task description. (Show Details)
tsimonq2 updated the task description. (Show Details)Oct 9 2018, 1:44 PM
tsimonq2 updated the task description. (Show Details)Oct 9 2018, 1:47 PM
wxl updated the task description. (Show Details)Oct 9 2018, 2:28 PM
wxl updated the task description. (Show Details)Oct 10 2018, 12:06 AM
wxl added a subscriber: Climby.
wxl updated the task description. (Show Details)Oct 10 2018, 1:37 AM
tsimonq2 updated the task description. (Show Details)Oct 10 2018, 7:48 AM
wxl updated the task description. (Show Details)Oct 10 2018, 10:05 AM
wxl updated the task description. (Show Details)Oct 10 2018, 10:45 AM
wxl updated the task description. (Show Details)Oct 10 2018, 7:33 PM
tsimonq2 updated the task description. (Show Details)Oct 10 2018, 9:02 PM
tsimonq2 updated the task description. (Show Details)
tsimonq2 updated the task description. (Show Details)
tsimonq2 updated the task description. (Show Details)Oct 10 2018, 9:06 PM

What happened with the "additiona drivers" for propietary drivers? It was in this list a couple of days ago. Maybe we should explain a workaround (installing kde one).

wxl added a comment.Oct 11 2018, 9:12 AM

@hmollercl That's moved to next release. Simplest workaround is to use ubuntu-drivers. You could lend @lynorian a hand and add this to the rMANUAL.

wxl updated the task description. (Show Details)Oct 11 2018, 9:18 AM
tsimonq2 updated the task description. (Show Details)Oct 11 2018, 12:01 PM
wxl updated the task description. (Show Details)Oct 11 2018, 3:28 PM
wxl updated the task description. (Show Details)Oct 11 2018, 4:18 PM
wxl updated the task description. (Show Details)Oct 11 2018, 4:20 PM
wxl updated the task description. (Show Details)Oct 11 2018, 4:25 PM
wxl updated the task description. (Show Details)Oct 11 2018, 4:37 PM
wxl updated the task description. (Show Details)Oct 11 2018, 9:59 PM
tsimonq2 updated the task description. (Show Details)Oct 12 2018, 1:45 PM
wxl updated the task description. (Show Details)Oct 12 2018, 2:45 PM
wxl updated the task description. (Show Details)Oct 12 2018, 3:16 PM
wxl updated the task description. (Show Details)
wxl updated the task description. (Show Details)
wxl updated the task description. (Show Details)Oct 12 2018, 4:08 PM
wxl updated the task description. (Show Details)Oct 12 2018, 5:29 PM
wxl updated the task description. (Show Details)Oct 12 2018, 5:40 PM
wxl updated the task description. (Show Details)Oct 12 2018, 10:05 PM
wxl updated the task description. (Show Details)Oct 12 2018, 10:15 PM
wxl updated the task description. (Show Details)Oct 13 2018, 12:01 AM
tsimonq2 updated the task description. (Show Details)Oct 13 2018, 3:08 PM
tsimonq2 updated the task description. (Show Details)Oct 13 2018, 3:10 PM
wxl updated the task description. (Show Details)Mon, Oct 15, 3:00 PM
wxl updated the task description. (Show Details)Mon, Oct 15, 3:17 PM
wxl updated the task description. (Show Details)Tue, Oct 16, 12:08 AM
wxl updated the task description. (Show Details)
wxl updated the task description. (Show Details)Tue, Oct 16, 10:06 PM
wxl updated the task description. (Show Details)
wxl updated the task description. (Show Details)Wed, Oct 17, 11:16 PM
tsimonq2 closed this task as Resolved.Fri, Oct 19, 12:01 PM

I'm symbolically closing this.

Huzzah!